What type of phone do I need?

We support devices with iOS 5.0 or above (Apple iPhone) and Android 2.1 or above.

Posted in: NetTeller Mobile App